<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Applicant extends Model 
{

    protected $table = 'applicants';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function applications()
    {
        return $this->hasMany('Application');
    }

    public function universities()
    {
        return $this->belongsToMany('University');
    }

    public function employers()
    {
        return $this->hasMany('ApplicantEmployers');
    }

}